<table class="table table-stripped">
    <tr>
        <th>Nazwa</th>
        <th>Szef</th>
        <th>Członkowie</th>
        <th>&nbsp;</th>
    </tr>
    <tr ng-repeat="project in ctrl.projects" ng-style="$index == ctrl.edited && {'background-color':'#F0F0F0'}">
        <td ng-bind="project.name"></td>
        <td ng-bind="project.manager?project.manager.firstName+' '+project.manager.lastName:'-'"></td>
        <td>
            <span ng-repeat="member in project.members" ng-bind="member.firstName.substring(0,1)+'.'+member.lastName+' '"></span>
        </td>
        <td>
            <button class="btn btn-success fa fa-edit" ng-click="ctrl.edit($index)" ng-disabled="ctrl.edited!=-1"></button>
            <button class="btn btn-danger fa fa-trash" ng-click="ctrl.delete($index)" ng-disabled="ctrl.edited!=-1"></button>
        </td>
    </tr>
    <tr>
        <td>
            <input type="text" class="form-control" ng-model="ctrl.project.name"/>
        </td>
        <td>
            <select class="form-control" ng-model="ctrl.project.manager">
                <option ng-value="null">--- no manager ---</option>
                <option ng-repeat="person in ctrl.persons" ng-bind="person.firstName+' '+person.lastName" ng-value="person._id"></option>
            </select>
        </td>
        <td>
            <ui-select multiple ng-model="ctrl.project.members" close-on-select="false">
                <ui-select-match placeholder="...">{{$item.firstName.substring(0,1)+'.'+$item.lastName}}</ui-select-match>
                <ui-select-choices repeat="person in ctrl.persons | filter: $select.search">
                  <div ng-bind="person.firstName+' '+person.lastName"></div>
                  <small ng-bind="person.email"></small>
                </ui-select-choices>
            </ui-select>
        </td>
        <td>
            <button class="btn btn-primary fa fa-plus" ng-click="ctrl.post()" ng-disabled="!ctrl.validate()" ng-if="ctrl.edited==-1"></button>
            <button class="btn btn-success fa fa-check" ng-click="ctrl.put()" ng-disabled="!ctrl.validate()" ng-if="ctrl.edited!=-1"></button>
            <button class="btn btn-danger fa fa-times" ng-click="ctrl.cancel()" ng-if="ctrl.edited!=-1"></button>
        </td>
    </tr>
</table>